<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <androidx.appcompat.widget.LinearLayoutCompat
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingTop="24dp"
        android:paddingBottom="24dp">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center"
            android:text="@string/app_name"
            android:textColor="#222222"
            android:textSize="18sp"
            android:textStyle="bold" />

    </androidx.appcompat.widget.LinearLayoutCompat>

    <androidx.core.widget.NestedScrollView
        android:id="@+id/id_scroll_view"
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <FrameLayout
                android:id="@+id/id_fl_clean"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="13dp">

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="224dp"
                    android:layout_height="224dp"
                    android:layout_gravity="center"
                    android:src="@drawable/yuan" />

                <androidx.appcompat.widget.AppCompatImageView
                    android:id="@+id/id_img_xuanzhuan"
                    android:layout_width="224dp"
                    android:layout_height="224dp"
                    android:layout_gravity="center"
                    android:src="@drawable/xuanzhuan" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="CLEAN"
                    android:textColor="@color/black"
                    android:textSize="30sp"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />


            </FrameLayout>

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:text="Occupied storage"
                    android:textColor="#666666"
                    android:textSize="16sp"
                    tools:ignore="HardcodedText" />

                <TextView
                    android:id="@+id/id_tv_occupied"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="7dp"
                    android:textColor="#000000"
                    android:textSize="16sp"
                    android:textStyle="bold"
                    tools:text="13.58GB / 118GB" />

            </LinearLayout>

            <com.noober.background.view.BLTextView
                android:id="@+id/id_clean_up"
                android:layout_width="match_parent"
                android:layout_height="48dp"
                android:layout_marginHorizontal="41dp"
                android:layout_marginTop="11dp"
                android:gravity="center"
                android:text="Clean Up"
                android:textColor="@color/white"
                android:textSize="18sp"
                android:textStyle="bold"
                app:bl_corners_radius="24dp"
                app:bl_solid_color="@color/theme_color"
                tools:ignore="HardcodedText" />

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/id_img_sl"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="19dp"
                android:layout_marginBottom="12dp"
                android:src="@drawable/xiala" />

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <!--垃圾清理-->
                <com.noober.background.view.BLLinearLayout
                    android:id="@+id/id_clean_junk"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:orientation="vertical"
                    app:bl_corners_radius="10dp"
                    tools:ignore="RtlSymmetry">

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:layout_marginTop="16dp"
                        android:layout_marginBottom="8dp">

                        <androidx.appcompat.widget.AppCompatImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_horizontal"
                            android:src="@drawable/cleanjunk_home"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <com.noober.background.view.BLTextView
                            android:id="@+id/dian_junk"
                            android:layout_width="6dp"
                            android:layout_height="6dp"
                            app:bl_shape="oval"
                            app:bl_solid_color="#EB423B" />
                    </androidx.appcompat.widget.LinearLayoutCompat>

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:layout_marginBottom="20dp"
                        android:ellipsize="end"
                        android:singleLine="true"
                        android:text="Clean Junk"
                        android:textColor="#000000"
                        android:textSize="13sp"
                        tools:ignore="HardcodedText" />
                </com.noober.background.view.BLLinearLayout>

                <!--最近使用-->
                <com.noober.background.view.BLLinearLayout
                    android:id="@+id/id_large_file"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:orientation="vertical"
                    app:bl_corners_radius="10dp"
                    tools:ignore="RtlSymmetry">

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:layout_marginTop="16dp"
                        android:layout_marginBottom="8dp">

                        <androidx.appcompat.widget.AppCompatImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:src="@drawable/large_home"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <com.noober.background.view.BLTextView
                            android:id="@+id/dian_recent_app"
                            android:layout_width="6dp"
                            android:layout_height="6dp"
                            app:bl_shape="oval"
                            app:bl_solid_color="#EB423B" />

                    </androidx.appcompat.widget.LinearLayoutCompat>

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:layout_marginBottom="20dp"
                        android:ellipsize="end"
                        android:singleLine="true"
                        android:text="Large File Cleaner"
                        android:textColor="#000000"
                        android:textSize="13sp"
                        tools:ignore="HardcodedText" />
                </com.noober.background.view.BLLinearLayout>

                <!--图片压缩-->
                <com.noober.background.view.BLLinearLayout
                    android:id="@+id/id_img_compress"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:orientation="vertical"
                    app:bl_corners_radius="10dp"
                    tools:ignore="RtlSymmetry">

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:layout_marginTop="16dp"
                        android:layout_marginBottom="8dp">

                        <androidx.appcompat.widget.AppCompatImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:src="@drawable/photo_home"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <com.noober.background.view.BLTextView
                            android:id="@+id/dian_33_app"
                            android:layout_width="6dp"
                            android:layout_height="6dp"
                            app:bl_shape="oval"
                            app:bl_solid_color="#EB423B" />

                    </androidx.appcompat.widget.LinearLayoutCompat>

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:layout_marginBottom="20dp"
                        android:ellipsize="end"
                        android:singleLine="true"
                        android:text="Photo Compress"
                        android:textColor="#000000"
                        android:textSize="13sp"
                        tools:ignore="HardcodedText" />
                </com.noober.background.view.BLLinearLayout>

            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp">

                <!--相似图片-->
                <com.noober.background.view.BLLinearLayout
                    android:id="@+id/id_similar_phone"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:orientation="vertical"
                    app:bl_corners_radius="10dp"
                    tools:ignore="RtlSymmetry">

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:layout_marginTop="16dp"
                        android:layout_marginBottom="8dp">

                        <androidx.appcompat.widget.AppCompatImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:src="@drawable/similar_home"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <com.noober.background.view.BLTextView
                            android:id="@+id/dian_similar_photos"
                            android:layout_width="6dp"
                            android:layout_height="6dp"
                            app:bl_shape="oval"
                            app:bl_solid_color="#EB423B" />

                    </androidx.appcompat.widget.LinearLayoutCompat>

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:layout_marginBottom="20dp"
                        android:ellipsize="end"
                        android:singleLine="true"
                        android:text="Similar Photos"
                        android:textColor="#000000"
                        android:textSize="13sp"
                        tools:ignore="HardcodedText" />

                </com.noober.background.view.BLLinearLayout>


                <!--应用管理-->
                <com.noober.background.view.BLLinearLayout
                    android:id="@+id/id_app_manager"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:orientation="vertical"
                    app:bl_corners_radius="10dp"
                    tools:ignore="RtlSymmetry">

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:layout_marginTop="16dp"
                        android:layout_marginBottom="8dp">

                        <androidx.appcompat.widget.AppCompatImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:src="@drawable/appmanager_home"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <com.noober.background.view.BLTextView
                            android:id="@+id/dian_app_manager"
                            android:layout_width="6dp"
                            android:layout_height="6dp"
                            app:bl_shape="oval"
                            app:bl_solid_color="#EB423B" />

                    </androidx.appcompat.widget.LinearLayoutCompat>

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:layout_marginBottom="20dp"
                        android:ellipsize="end"
                        android:singleLine="true"
                        android:text="App Manager"
                        android:textColor="#000000"
                        android:textSize="13sp"
                        tools:ignore="HardcodedText" />

                </com.noober.background.view.BLLinearLayout>


                <!--电池信息-->
                <LinearLayout
                    android:id="@+id/id_battery_info"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:orientation="vertical"
                    app:bl_corners_radius="10dp"
                    tools:ignore="RtlSymmetry">

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:layout_marginTop="16dp"
                        android:layout_marginBottom="8dp"
                        app:layout_constraintTop_toTopOf="parent">

                        <androidx.appcompat.widget.AppCompatImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:src="@drawable/battery_home"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <com.noober.background.view.BLTextView
                            android:id="@+id/dian_battery_info"
                            android:layout_width="6dp"
                            android:layout_height="6dp"
                            app:bl_shape="oval"
                            app:bl_solid_color="#EB423B" />

                    </androidx.appcompat.widget.LinearLayoutCompat>

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:layout_marginBottom="20dp"
                        android:ellipsize="end"
                        android:singleLine="true"
                        android:text="Battery Info"
                        android:textColor="#000000"
                        android:textSize="13sp"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintTop_toBottomOf="@+id/id_ll_2"
                        tools:ignore="HardcodedText" />

                </LinearLayout>

            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="16dp"
                android:layout_marginBottom="16dp"
                android:gravity="center_vertical">


                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="14dp"
                    android:text="More"
                    android:textColor="#000000"
                    android:textSize="20sp"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />

            </androidx.appcompat.widget.LinearLayoutCompat>

            <!--扬声器清理-->
            <com.noober.background.view.BLLinearLayout
                android:id="@+id/id_speak_cleaner"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="14dp"
                android:layout_marginBottom="8dp"
                android:elevation="5dp"
                android:gravity="center_vertical"
                android:paddingHorizontal="16dp"
                android:paddingVertical="16dp"
                app:bl_corners_radius="10dp"
                app:bl_solid_color="#F6F7FB">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="10dp"
                    android:layout_weight="1"
                    android:text="Speaker Cleaner"
                    android:textColor="#000000"
                    android:textSize="15sp"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/speaker_home" />

            </com.noober.background.view.BLLinearLayout>

            <!--网络流量-->
            <com.noober.background.view.BLLinearLayout
                android:id="@+id/id_network_traffic"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="14dp"
                android:layout_marginBottom="8dp"
                android:elevation="5dp"
                android:gravity="center_vertical"
                android:paddingHorizontal="16dp"
                android:paddingVertical="16dp"
                app:bl_corners_radius="10dp"
                app:bl_solid_color="#F6F7FB">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="10dp"
                    android:layout_weight="1"
                    android:text="Network Traffic"
                    android:textColor="#000000"
                    android:textSize="15sp"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/speaker_home" />

            </com.noober.background.view.BLLinearLayout>

            <!--最近使用-->
            <com.noober.background.view.BLLinearLayout
                android:id="@+id/id_recent_app_use"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="14dp"
                android:layout_marginBottom="8dp"
                android:elevation="5dp"
                android:gravity="center_vertical"
                android:paddingHorizontal="16dp"
                android:paddingVertical="16dp"
                app:bl_corners_radius="10dp"
                app:bl_solid_color="#F6F7FB">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="10dp"
                    android:layout_weight="1"
                    android:text="Recent App Usage"
                    android:textColor="#000000"
                    android:textSize="13sp"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/recentapp_home" />

            </com.noober.background.view.BLLinearLayout>

            <!--通知清理-->
            <com.noober.background.view.BLLinearLayout
                android:id="@+id/id_notification_cleaner"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="14dp"
                android:layout_marginBottom="8dp"
                android:elevation="5dp"
                android:gravity="center_vertical"
                android:paddingHorizontal="16dp"
                android:paddingVertical="16dp"
                app:bl_corners_radius="10dp"
                app:bl_solid_color="#F6F7FB">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="10dp"
                    android:layout_weight="1"
                    android:text="Notification Cleaner"
                    android:textColor="#000000"
                    android:textSize="15sp"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/notification_home" />


            </com.noober.background.view.BLLinearLayout>


        </androidx.appcompat.widget.LinearLayoutCompat>


    </androidx.core.widget.NestedScrollView>
</LinearLayout>
